package com.tofly.xrtygis.commons;

import com.tofly.common.core.entity.ResultRespone;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Primary;
import org.springframework.core.annotation.Order;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * @author HaiQiu
 * @since 2023/4/10
 */
@Slf4j
@Primary
@Order(-11)
@ControllerAdvice
public class GlobalException {


    @ResponseBody
    @ExceptionHandler
    public ResultRespone handleException(Exception e) {
        e.printStackTrace();
        log.error(e.getMessage());
        return ResultRespone.failed(e.getMessage());
    }
}
