package com.tofly.xrtygis.custom.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class SupplyReportVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "漏损率")
    private BigDecimal leakageRate;

    @ApiModelProperty(value = "总供水量（㎡）")
    private BigDecimal waterSupply;

    @ApiModelProperty(value = "最小流量（㎡/h）")
    private BigDecimal minWaterSupply;

    @ApiModelProperty(value = "分区ID")
    private Long dmaId;

    @ApiModelProperty(value = "分区名称")
    private String dmaName;

    @ApiModelProperty(value = "分区级别")
    private String partitionLevel;

    @ApiModelProperty(value = "区域面积")
    private Double areas;

    @ApiModelProperty(value = "水量占比（％）")
    private BigDecimal waterSupplyProp;
}
