package com.tofly.xrtygis.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.xrtygis.entity.Dmanightflow;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author HaiQiu
 * @since 2023/4/19
 */
@Data
public class DmanightflowCountDto extends Dmanightflow {

    @ApiModelProperty(value = "开始时间",required = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date start;

    @ApiModelProperty(value = "结束时间",required = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date end;

    /**
     * 流量计仪表ID数组,用英文逗号分隔开
     */
    @ApiModelProperty(value = "流量计仪表ID数组,用英文逗号分隔开")
    private String tableIds;
}
