package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * DMA分区用户水表信息返回
 */
@Data
public class ResultUserWaterMeterInfoVo extends UserWaterMeterInfoVo {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "dma分区id")
    private Long dmaId;
    @ApiModelProperty(value = "分区编码")
    private String dmaCode;
    @ApiModelProperty(value = "dma分区名称")
    private String dmaName;
    @ApiModelProperty(value = "总表id")
    private Long tableId;
    @ApiModelProperty(value = "总表编号")
    private String tableCode;
    @ApiModelProperty(value = "总表地址")
    private String tableAddress;
    @ApiModelProperty(value = "用户关联总表id")
    private Long bindId;
}
