package com.tofly.xrtygis.entity.vo.home.monitor;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 监测数据曲线图(0-24小时)
 */
@Data
public class InstantaneousInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "0今日 1昨日")
    private String dimension;

    @ApiModelProperty(value = "夜间流量阈值参考值")
    private BigDecimal minFlow;

    @ApiModelProperty(value = "监测数据")
    private List<InstantaneousInfoChildVo> mapList;



}
