package com.tofly.xrtygis.entity.vo.home.monitor;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 分水用时详情信息
 */
@Data
public class WaterTimeFlowVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "支路ID")
    private Long lineId;

    @ApiModelProperty(value = "支路编码")
    private String lineCode;

    @ApiModelProperty(value = "支路父级ID")
    private Long lineParentId;

    @ApiModelProperty(value = "设备id")
    private Long deviceId;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;
    @ApiModelProperty(value = "设备编码")
    private String deviceCode;
    @ApiModelProperty(value = "指标编码")
    private String indexCode;

    @ApiModelProperty(value = "指标名称")
    private String indexName;

    @ApiModelProperty(value = "数据明细")
    private List<WaterTimeFlowDetailVo> flowDetailVoList;

    @ApiModelProperty(value = "统计数据明细")
    private List<WaterTimeFlowTotalDetailVo> totalDetailVoList;
}
