package com.tofly.xrtygis.entity.vo.home.workbench;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 工作台(当日夜间最小流量监测排行榜)
 */
@Data
public class MinimumFlowRankingChildVo implements Serializable {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "站点名称")
    private String siteName;

    @ApiModelProperty(value = "标准值")
    private BigDecimal standardValue;

    @ApiModelProperty(value = "监测值")
    private BigDecimal monitoringValue;

    @ApiModelProperty(value = "差异值")
    private BigDecimal differenceValue;

    @ApiModelProperty(value = "异常状态 0无 1有")
    private String errorState;

}
