package com.tofly.xrtygis.entity.vo.home.workbench;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 工作台(累计供水量统计)
 */
@Data
public class WaterSupplyAccumulativeVo implements Serializable {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "统计年份")
    private String year;

    @ApiModelProperty(value = "0今年 1去年")
    private String dimension;

    @ApiModelProperty(value = "累计供水量数据")
    List<WaterSupplyAccumulativeChildVo> mapList;
}
