package com.tofly.building.mapper;


import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import com.tofly.building.entity.SyschildcodeD;

/**
 * 系统通用码表子级表(SyschildcodeD)表数据库访问层
 *
 * @author HaiQiu
 * @since 2023-03-10 11:21:49
 */
public interface SyschildcodeDMapper extends BaseMapper<SyschildcodeD> {

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<SyschildcodeD> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<SyschildcodeD> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<SyschildcodeD> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<SyschildcodeD> entities);

}

