//package com.tofly.mqtt;
//
//import lombok.extern.slf4j.Slf4j;
//import org.eclipse.paho.client.mqttv3.MqttClient;
//import org.eclipse.paho.client.mqttv3.MqttConnectOptions;
//import org.eclipse.paho.client.mqttv3.MqttMessage;
//import org.eclipse.paho.client.mqttv3.persist.MemoryPersistence;
//import org.springframework.stereotype.Component;
//
//import javax.annotation.PostConstruct;
//
//@Component
//@Slf4j
//public class MqttUtil {
//
//    private static final String url = "tcp://114.115.158.144:1883";
//
//    private static final String username = "energy";
//
//    private static final String password = "energy8";
//
//    private MqttClient client;
//
//    @PostConstruct
//    private MqttClient initPublish() throws Exception {
//        if (client != null) {
//            return client;
//        }
//        client = new MqttClient(url, "mqtt_client", new MemoryPersistence());
//        // 连接参数
//        MqttConnectOptions options = new MqttConnectOptions();
//        // 设置用户名和密码
//        options.setUserName(username);
//        options.setPassword(password.toCharArray());
//        // 设置超时时间 单位为秒
//        options.setConnectionTimeout(60);
//        // 设置会话心跳时间 单位为秒 服务器会每隔1.5*20秒的时间向客户端发送个消息判断客户端是否在线，但这个方法并没有重连的机制
//        options.setKeepAliveInterval(60);
//        // 连接
//        client.connect(options);
//        return client;
//    }
//
//    /**
//     *
//     * 发送信息
//     */
//    public void publish(String topic, String content) {
//        try {
//            // 创建消息并设置 QoS
//            //qos: 0 最多一次，1 至少一次，2 仅一次
//            MqttMessage message = new MqttMessage(content.getBytes());
//            message.setQos(0);
//            // 发布消息
//            client.publish(topic, message);
//            log.info("topic：{}", topic);
//            log.info("发送消息：{}", content);
//        } catch (Exception e) {
//            e.printStackTrace();
//        }
//    }
//
//
//}
//
//
