package com.tofly.scada.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Set;

/**
 *
 * @author JF
 * @date 2023/1/16
 * @description 自定义智慧综合展示筛选字段对象
 */
@Data
public class WisdomDisplayDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("指标编码列表")
    private List<String> indexCodes;

    @ApiModelProperty("开始时间 yyyy-MM-dd HH:mm:ss")
    private String startDate;

    @ApiModelProperty("结束时间 yyyy-MM-dd HH:mm:ss")
    private String endDate;

    @ApiModelProperty("指标类型列表（字典）")
    private List<String> indexTypeList;
}
