/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.scada.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.tofly.scada.config.DictConfig;
import com.tofly.scada.entity.ScadaLjFlow;
import com.tofly.scada.mapper.ScadaLjFlowMapper;
import com.tofly.scada.service.ScadaLjFlowService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;


/**
 * scada累计流量差值
 *
 * @author admin
 * @date Wed Sep 07 00:00:00 CST 2022
 */
@Service("scadaLjFlowService")
public class ScadaLjFlowServiceImpl extends ServiceImpl<ScadaLjFlowMapper, ScadaLjFlow> implements ScadaLjFlowService {

    //查询累计流量的字典类型字段
    @Autowired
    private DictConfig dictConfig;

    @Override
    public List<ScadaLjFlow> getSendCumulativeFlowDifference(Date startTime, Date endTime) {
        return baseMapper.getSendCumulativeFlowDifference(startTime, endTime, dictConfig.getMomentFlowAllIndex());
    }
}
