package com.tofly.auth.config;

import com.tofly.common.core.constant.SecurityConstants;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.security.oauth2.provider.ClientDetails;
import org.springframework.security.oauth2.provider.ClientRegistrationException;
import org.springframework.security.oauth2.provider.client.InMemoryClientDetailsService;

/**
 * @author tuonbed
 * @date 2020/10/20  9:20
 */
public class ToflyMemoryClientDetailsService extends InMemoryClientDetailsService {

    @Override
    @Cacheable(value = SecurityConstants.CLIENT_DETAILS_KEY,key = "#clientId",unless ="#result==null")
    public ClientDetails loadClientByClientId(String clientId) throws ClientRegistrationException {
        return super.loadClientByClientId(clientId);
    }
}
