package com.tofly.dict.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.dict.entity.SysDict;
import com.tofly.dict.entity.dto.DictDto;


/**
* @author haiqiu
* @description 针对表【SYS_DICT(系统字典)】的数据库操作Service
* @createDate 2022-08-01 14:50:28
*/
public interface SysDictService extends IService<SysDict> {

    /**
     * 新增
     * @param dictDto 实体
     */
    void insert(DictDto dictDto);

    /**
     * 修改
     * @param dictDto 实体
     */
    void edit(DictDto dictDto);

}
