package com.tofly.xrtygis.custom.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class MinFlowErrorAnalyseVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "采集时间")
    private String scadaTime;

    @ApiModelProperty(value = "设备ID")
    private Long tableId;

    @ApiModelProperty(value = "设备名称")
    private String tableName;

    @ApiModelProperty(value = "总异常数（本级+下级异常数）")
    private Integer allErrorCount;

    @ApiModelProperty(value = "本级表异常数")
    private Integer thisErrorCount;

    @ApiModelProperty(value = "下级表异常数")
    private Integer belowErrorCount;
}
