package com.tofly.xrtygis.entity.vo.home.monitor;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 监测图(0-24小时)
 */
@Data
public class InstantaneousInfoChildVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "指标编码")
    private String indexCode;

    @ApiModelProperty(value = "小时")
    private String hour;

    @ApiModelProperty(value = "单位")
    private String unit;

    @ApiModelProperty(value = "监测值")
    private BigDecimal flow;





}
