package com.tofly.xrtygis.entity.vo.home.monitor;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 分水用时详情统计信息
 */
@Data
public class WaterTimeFlowTotalDetailVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "数据统计时间(天)")
    private String time;
    @ApiModelProperty(value = "总供水量")
    private BigDecimal totalDifferenceValue;
}
