package com.tofly.xrtygis.entity.vo.home.workbench;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 工作台(当日夜间最小流量监测排行榜)
 */
@Data
public class MinimumFlowRankingVo implements Serializable {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "统计年月日")
    private String day;

    @ApiModelProperty(value = "夜间最小流量数据")
    List<MinimumFlowRankingChildVo> mapList;
}
