package com.tofly.xrtygis.entity.vo.home.workbench;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 工作台(每月供水量统计)
 */
@Data
public class WaterSupplyMonthChildVo implements Serializable {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "月份")
    private String month;

    @ApiModelProperty(value = "供水量")
    private BigDecimal waterSupply;
}
