package com.tofly.xrtygis.entity.vo.home.workbench;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 工作台(供水总量排行榜子集)
 */
@Data
public class WaterSupplyRankingChildVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "设备id")
    private Long id;

    @ApiModelProperty(value = "设备名称")
    private String siteName;

    @ApiModelProperty(value = "指标编码")
    private String indexCode;

    @ApiModelProperty(value = "流量m3")
    private BigDecimal flow;

    @ApiModelProperty(value = "占比")
    private BigDecimal rate;

}
