package com.tofly.xrtygis.entity.vo.home.workbench;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 工作台(供水总量排行榜)
 */
@Data
public class WaterSupplyRankingVo implements Serializable {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "统计年月份")
    private String yearMonth;

    @ApiModelProperty(value = "统计年月份供水排行数据")
    List<WaterSupplyRankingChildVo> mapList;

    @ApiModelProperty(value = "统计年月日")
    private String day;

    @ApiModelProperty(value = "统计年月日供水排行数据")
    List<WaterSupplyRankingChildVo> dayMapList;
}
