package com.tofly.building.entity.dto;

import com.tofly.building.entity.BuildingReport;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class SendReportMailDto {

    @NotNull
    @ApiModelProperty(value = "时间标题")
    private String timeStr;

    @ApiModelProperty(value = "接受方邮箱")
    private String sendMail;

    @NotNull
    @ApiModelProperty(value = "楼栋用电用水报告列表")
    private List<BuildingReport> reports;

}
