package com.tofly.building.entity.vo;

import com.haiqiu.tools.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author HaiQiu
 * @since 2023/3/10
 */

@ApiModel(description = "安全用电评比")
@Data
public class SafeElectricityVo implements Serializable {

    @Excel(name = "类别")
    @ApiModelProperty(value = "类别")
    private String categoryName;

    @Excel(name = "统计单位")
    @ApiModelProperty(value = "统计单位")
    private String unitName;

    @Excel(name = "用电报警次数")
    @ApiModelProperty(value = "用电报警次数")
    private String electricitySum;


    @Excel(name = "用电总量")
    @ApiModelProperty(value = "用电总量")
    private String electricityCount;

    @Excel(name = "建筑面积")
    @ApiModelProperty(value = "建筑面积")
    private String buildingArea;

    @Excel(name = "单位面积用电量")
    @ApiModelProperty(value = "单位面积用电量")
    private String buildingAreaToElectricity;
}
