package com.tofly.building.mapper;


import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import com.tofly.building.entity.BuildingReportMouth;

/**
 * 楼栋用电用水报告月份表(BuildingReportMouth)表数据库访问层
 *
 * @author HaiQiu
 * @since 2023-03-20 09:51:10
 */
public interface BuildingReportMouthMapper extends BaseMapper<BuildingReportMouth> {

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<BuildingReportMouth> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<BuildingReportMouth> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<BuildingReportMouth> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<BuildingReportMouth> entities);

}

