package com.tofly.building.service;

import com.tofly.building.entity.ToEmail;

/**
 * @author haiqiu
 * @date 2023/4/6
 */
public interface CustomMailService {

    /**
     * 发送字符串邮件
     * @param toEmail 发送邮件内容
     * @return 消息提示
     */
    String sendMailString(ToEmail toEmail);

    /**
     * 发送html邮件
     * @param toEmail 发送邮件内容
     * @return 消息提示
     */
    String sendMailHtml(ToEmail toEmail);
}
