package com.tofly.mqtt;

import java.nio.charset.StandardCharsets;
import java.util.Base64;

public class Base64Util {

    public static byte[] decryptBASE64(String data) {
        // return Base64.decodeBase64(data);
        return Base64.getDecoder().decode(data);
    }

    public static String encryptBASE64(byte[] data) {
        // return new String(Base64.encodeBase64(data));
        return Base64.getEncoder().encodeToString(data);
    }

    public static String byteArrayToString(byte[] byteArray) {
        return new String(byteArray, StandardCharsets.UTF_8);
    }

    public static byte[] stringToByteArray(String input) {
        return input.getBytes(StandardCharsets.UTF_8);
    }

}
