//package com.tofly.mqtt;
//
//import cn.hutool.core.date.DateUtil;
//import com.tofly.building.service.BuildingReportService;
//import com.tofly.common.core.entity.ResultRespone;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.web.bind.annotation.PostMapping;
//import org.springframework.web.bind.annotation.RequestMapping;
//import org.springframework.web.bind.annotation.RestController;
//
//import java.lang.reflect.Field;
//import java.lang.reflect.Modifier;
//import java.util.Calendar;
//@Api(tags = "mqtt测试")
//@RestController
//@RequestMapping("/mqtt")
//public class MqttHandle {
//
//    // 公钥
//    private static final String publicKey = "MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEU+vJWQIFfWyrgyipO+8irbbmw5nmEmhaJJGwoZODqaNlfBxVhnMsSmflLlxdrMwJrE3Xvfkj10W6Q4g+uWMa6Q==";
//    // 私钥
//    private static final String privateKey = "MHcCAQEEIPoCuyc0SRicZaTzjV4jrZ2qdp7M1iTtUibONcp+q6FNoAoGCCqGSM49AwEHoUQDQgAEU+vJWQIFfWyrgyipO+8irbbmw5nmEmhaJJGwoZODqaNlfBxVhnMsSmflLlxdrMwJrE3Xvfkj10W6Q4g+uWMa6Q";
//    // 机构组织代码
//    private static final String orgId = "152";
//    // 用户的appId
//    private static final String appId = "16711275";
//    @Autowired
//    private MqttUtil mqttUtil;
//    @Autowired
//    private BuildingReportService buildingReportService;
//
//    static {
//        // 去除JCE加密限制，只限于Java1.8
//        try {
//            Field field = Class.forName("javax.crypto.JceSecurity").getDeclaredField("isRestricted");
//            field.setAccessible(true);
//            Field modifiersField = Field.class.getDeclaredField( "modifiers");
//            modifiersField.setAccessible(true);
//            modifiersField.setInt(field, field.getModifiers() & ~Modifier.FINAL);
//            field.set(null, false);
//        } catch (Exception e){
//            e.printStackTrace();
//        }
//    }
//
//    @PostMapping("/send")
//    @ApiOperation(value = "发布消息")
//    public ResultRespone send() throws Exception {
//        String data = buildingReportService.getEnergyData();
//        Calendar cal = Calendar.getInstance();
//        cal.add(Calendar.DAY_OF_MONTH, -1);
//        String content = "{" +
//                "data:" + ECCUtil.publicEncrypt(data, publicKey) +
//                ",orgId:" + orgId +
//                ",appId:" + appId +
//                ",date:" + DateUtil.format(cal.getTime(), "yyyyMMdd") +
//                "}";
//        // 发送消息到指定主题
//        mqttUtil.publish("/rootPath/" + orgId, content);
//        return ResultRespone.success();
//    }
//
////    public static void main(String[] args) {
////        String publicKey = "MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEUu9oI3+azxyCtT1YXVErbxE3mU1/NXiRlhtDW8hOUU/XYj4XNAuLaklMgK3KhGn2mWogMp2sAuOXBEOUEPWIpA==";
////        String privateKey = "MIGTAgEAMBMGByqGSM49AgEGCCqGSM49AwEHBHkwdwIBAQQgnNIvSp7O/Mx/meJ+Z+/t1/Ksvl8o2/eV/7cbMFlM1PKgCgYIKoZIzj0DAQehRANCAARS72gjf5rPHIK1PVhdUStvETeZTX81eJGWG0NbyE5RT9diPhc0C4tqSUyArcqEafaZaiAynawC45cEQ5QQ9Yik";
////        try {
////            String p = ECCUtil.publicEncrypt("我来测试一下123456", publicKey);
////            String result = ECCUtil.privateDecrypt(p, privateKey);
////            System.out.println("解密后的内容：" + result);
////        } catch (Exception e) {
////            e.printStackTrace();
////        }
////    }
//
////    public static void main(String[] args) {
////        String broker = "tcp://114.115.158.144:1883";
////        String topic = "/rootPath/" + orgId;
////        String username = "energy";
////        String password = "energy8";
////        String clientid = "publish_client";
////        String content = "Hello MQTT";
////        int qos = 0;
////
////        try {
////            MqttClient client = new MqttClient(broker, clientid, new MemoryPersistence());
////            // 连接参数
////            MqttConnectOptions options = new MqttConnectOptions();
////            // 设置用户名和密码
////            options.setUserName(username);
////            options.setPassword(password.toCharArray());
////            options.setConnectionTimeout(60);
////            options.setKeepAliveInterval(60);
////            // 连接
////            client.connect(options);
////            // 创建消息并设置 QoS
////            MqttMessage message = new MqttMessage(content.getBytes());
////            message.setQos(qos);
////            // 发布消息
////            client.publish(topic, message);
////            System.out.println("Message published");
////            System.out.println("topic: " + topic);
////            System.out.println("message content: " + content);
////            // 关闭连接
////            client.disconnect();
////            // 关闭客户端
////            client.close();
////        } catch (MqttException e) {
////            throw new RuntimeException(e);
////        }
////    }
//
//}
