package com.tofly.scada.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

@Data
public class EnergyValueVo implements Serializable {

    @ApiModelProperty(value = "指标值列表")
    private List<Double> values;

    @ApiModelProperty(value = "子集列表")
    private List<Map<String, EnergyValueVo>> items;

}
