/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.scada.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.scada.entity.ScadaLjFlow;

import java.util.Date;
import java.util.List;


/**
 * scada累计流量差值
 *
 * @author admin
 * @date Wed Sep 07 00:00:00 CST 2022
 */
public interface ScadaLjFlowService extends IService<ScadaLjFlow> {
    /**
     * 时间范围获取 累计流量差值处理(5分钟求值)
     * @param startTime
     * @param endTime
     * @return
     */
    List<ScadaLjFlow> getSendCumulativeFlowDifference(Date startTime,Date endTime);
}
