package com.tofly.auth.handler;

import com.tofly.common.oauth.handler.AbstractAuthenticationSuccessEventHandler;
import lombok.extern.slf4j.Slf4j;
import org.springframework.security.core.Authentication;
import org.springframework.stereotype.Component;

/**
 * @author Administrator
 * @date 2019/9/10  11:15
 */
@Component
@Slf4j
public class AuthAuthenticationSuccessEvenHandler extends AbstractAuthenticationSuccessEventHandler {
    @Override
    public void handle(Authentication authentication) {
        log.info("用户：{} 登录成功", authentication.getPrincipal());
    }
}
